Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 263

Summary: Expect fails from cron
Product: [Retired] Red Hat Linux Reporter: smathews
Component: tcltkAssignee: Jens Petersen <petersen>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-04-08 22:25:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description smathews 1998-12-02 17:02:51 UTC
I have many scripts written in expect to do system
administration type stuff.  Scripts that invoke another
program with the 'spawn' command fail with:
failed to get controlling terminal using TIOCSCTTYparent:
sync byte write: broken pipe.

Comment 1 David Lawrence 1998-12-03 22:41:59 UTC
This bug has been assigned to a developer for further review.

Comment 2 Jeff Johnson 1999-04-08 22:25:59 UTC
Programs run from cron do not have a controlling tty.
You might try redirecting stdin and stdout explicitly to /dev/console
in the cron entry:
x x x x x x myscript < /dev/console > /dev/console